function testBlackScholesCallPrice()

K = 100.0;
T = 1.0;
S = 110.0;
vol = 0.1;
r = 0.05;

% Test a static bound on the call price
actual = blackScholesCallPrice( K, T, S, vol, r );
lowerBound = S - exp(-r*T)*K;
assert( actual > lowerBound );

% If it near to maturity, the option should be worth much
% the same as the immediate exercise price
T = 0.001;
actual = blackScholesCallPrice( K, T, S, vol, r );
assertApproxEqual( actual, 10.0, 0.01 );

end

